import { area, curveNatural, groups } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius,
  colorScale,
  innerHeight
}) => {
  let gdpCountries = groups(data, (d) => d.Type);
  
  const gdpCountriesClean = gdpCountries.map((d) =>
    d.pop()
  );
  
  console.log(gdpCountriesClean)
  
  /*gdpCountriesClean.forEach(country => {
    country.forEach(d => console.log(colorScale(d.DonValue)))
  })*/

  const areaGenerator = area()
    .x((d) => xScale(xValue(d)))
    .y1((d) => yScale(yValue(d)))
  	.y0(innerHeight);

  return (
    <g className="marks">
      {gdpCountriesClean.map((country) =>{ 
        country.map(d => console.log(country))
        console.log('############')
        return (
        <>
        <path
          fill={country.map(d => colorScale(d.Type))[0]}
          // u f-ju
          stroke={country.map(d => colorScale(d.Type))[0]}
          stroke-width="1"
          d={areaGenerator(country)}
          style={{opacity: 0.5}}
        />
        {country.map(d => 
                 <text 
                   x={xScale(xValue(d))}
                   y={yScale(yValue(d)) - 3}
                   text-anchor="middle"
                   >{yValue(d) + '%'}</text>
                )}
        </>
      )}  )}
    </g>
  );
};
