import React, {useState, useEffect} from 'react';
import { csv, groups } from 'd3';


const csvUrl =
  'https://gist.githubusercontent.com/kragovic/be28f6609c66a9251b771968ade5cdfc/raw/00a370fbe1cd64b8f947f0b86a2e744fc8915411/donations_per_month.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.DonValue = +d.DonValue;
      d.Month = new Date(d.Month + 2020)
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data);
    });
  }, []);
  
  return data;
};